Bug 17567 - Bad CWD / in install
Bad CWD / in install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-17 01:57 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 14:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-17 01:57:54 EDT
When installing pinstripe using netboot, the installer successfilly 
retrives the 2nd stage stuff over ftp. After doing so, a CWD / is issued. 
This then breaks the installation with an anaconda error, saying file not 
found. If the installer was to not issue the cwd command, it would be 
sucessfull. The actual cause reported to anaconda varies but is either 
permussion denied or file not found.

While workarounds to exist, they only ecime obvious to someone who looks 
at the commands senr to the ftp server.(if that is possible)

------------------------

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/textw/packages_text.py", 
line 32, in __call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 524, in 
getHeaderList
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 65, 
in readHeaders
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/log.py", line 23, in 
__call__
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
args: ('ftp 
error', 'ftp://192.168.1.3/pinstripe/i386/en/RedHat/base/hdlist', '550 /c:/
pinstripe: Permission denied.')
self: <log.LogFile instance at 81df9b0>
format: IOError %d occured getting %s: %s

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://192.168.1.3/pinstripe/i386/en'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'partition'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
S'linux'
p71
sS'liloImages'
p72
(dp73
S'hda3'
p74
(g71
I2
tssS'liloLinear'
p75
I1
sS'liloAppend'
p76
NsbsS'comps'
p77
NsS'network'
p78
(itodo
Network
(dp79
S'netdevices'
p80
(dp81
S'eth0'
p82
(itodo
NetworkDevice
(dp83
g57
(dp84
S'ONBOOT'
p85
S'yes'
sS'IPADDR'
p86
S'192.168.1.11'
sS'BOOTPROTO'
p87
S'static'
sS'NETMASK'
p88
S'255.255.255.0'
sS'DEVICE'
p89
g82
ssbssS'gateway'
p90
S'192.168.1.1'
sS'secondaryNS'
p91
S''
sS'hostname'
p92
S'greenland'
sS'primaryNS'
p93
S'24.3.0.33'
sS'domains'
p94
(lsS'isConfigured'
p95
I1
sS'readData'
p96
I1
sS'ternaryNS'
p97
S''
sbsS'upgrade'
p98
I0
sS'instClass'
p99
(icustom
InstallClass
(dp100
S'rootPasswordCrypted'
p101
I0
sS'nameserver'
p102
S''
sS'x'
NsS'rootPassword'
p103
NsS'makeBootdisk'
p104
I0
sS'installType'
p105
NsS'postScript'
p106
NsS'earlySwapOn'
p107
I0
sS'networkDevice'
p108
NsS'clearText'
p109
Nsg64
(S'mbr'
p110
I1
S''
tsg13
NsS'name'
p111
S''
sS'postInChroot'
p112
I0
sS'pixmap'
p113
S''
sS'partitions'
p114
(lsS'clearType'
p115
Nsg90
S''
sS'mouse'
p116
NsS'packages'
p117
NsS'timezone'
p118
NsS'zeroMbr'
p119
I0
sS'keyboard'
p120
NsS'groups'
p121
NsS'bootProto'
p122
NsS'netmask'
p123
S''
sS'raidList'
p124
(lsS'skipSteps'
p125
(dsS'auth'
p126
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg92
Nsg63
(lsS'showgroups'
p127
NsS'ip'
p128
S''
sS'defaultRunlevel'
p129
NsS'desktop'
p130
S''
sS'clearPartText'
p131
NsS'clearParts'
p132
I0
sbsS'rootpassword'
p133
(itodo
Password
(dp134
S'pure'
p135
S'ethernet'
sS'crypt'
p136
S'oCC4XciW2/ej6'
sbsS'extraModules'
p137
(lp138
sg116
(imouse
Mouse
p139
(dp140
S'device'
p141
S'ttyS0'
p142
sg57
(dp143
S'XMOUSETYPE'
p144
S'Microsoft'
p145
sS'FULLNAME'
p146
S'Microsoft - Compatible Mouse (serial)'
p147
sS'MOUSETYPE'
p148
g145
ssS'emu'
p149
I0
sS'wasProbed'
p150
I0
sS'emulate'
p151
I1
sbsS'ddruidAlreadySaved'
p152
I0
sS'serial'
p153
I0
sg118
(S'America/New_York'
I0
I0
tsg119
I0
sg120
(ikbd
Keyboard
(dp154
S'layout'
p155
NsS'model'
p156
NsS'type'
p157
S'PC'
p158
sg57
(dp159
S'KEYBOARDTYPE'
p160
S'pc'
p161
sS'KEYTABLE'
p162
S'us-latin1'
p163
ssbsS'skipFdisk'
p164
I0
sS'fdDevice'
p165
S'fd0'
p166
sS'installSystem'
p167
I1
sS'setupFilesystems'
p168
I1
sg126
(itodo
Authentication
(dp169
S'useNIS'
p170
I0
sS'nisServer'
p171
S''
sS'useLdap'
p172
I0
sS'krb5Kdc'
p173
S''
sS'useHesiod'
p174
I0
sS'ldapServer'
p175
S''
sS'nisDomain'
p176
S''
sS'krb5Realm'
p177
S''
sS'useLdapauth'
p178
I0
sS'hesiodRhs'
p179
S''
sS'useShadow'
p180
I1
sS'nisuseBroadcast'
p181
I0
sS'useKrb5'
p182
I0
sS'useMD5'
p183
I1
sS'ldapBasedn'
p184
S''
sS'krb5Admin'
p185
S''
sS'hesiodLhs'
p186
S''
sS'hesiodDlhs'
p187
S''
sbsg92
NsS'reconfigOnly'
p188
I0
sS'x'
(ixf86config
XF86Config
(dp189
S'monlist'
p190
(dsS'keyModel'
p191
S'pc101'
p192
sS'monids'
p193
(dsg141
NsS'monEisa'
p194
NsS'server'
p195
NsS'monHoriz'
p196
S'31.5'
p197
sS'devID'
p198
NsS'modes'
p199
(dp200
S'8'
(lp201
S'640x480'
p202
assS'keyOptions'
p203
S''
sS'keyVariant'
p204
S''
sS'monID'
p205
S'Unprobed Monitor'
p206
sS'keyLayout'
p207
S'us'
p208
sg116
g139
sS'keyRules'
p209
S'xfree86'
p210
sS'monVert'
p211
S'60'
p212
sS'cardMan'
p213
NsS'monSect'
p214
S''
sS'primary'
p215
I0
sS'vidRam'
p216
NsS'probed'
p217
I0
sS'monName'
p218
NsS'vidCards'
p219
(lsS'skip'
p220
I0
sS'files'
p221
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p222
sbsS'users'
p223
(lp224
(S'myuname'
S''
S'mypass'
tasS'instPath'
p225
S'/mnt/sysimage'
p226
sS'intf'
p227
NsS'hdList'
p228
Nsb.
Comment 1 Erik Troan 2000-11-08 11:06:13 EST
Why is CWD / failing in the first place?

Note You need to log in before you can comment on or make changes to this bug.